Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.extractor
Class DisplayText

    java.lang.Object
      emn.fr.ascola.extractor.DisplayText

    public class DisplayText

extends java.lang.Object

General class to simply display some texts.

Author:
  jroyer

Constructor Summary
`DisplayText(org.eclipse.swt.widgets.Display dp, java.lang.String title)` Constructor.

Method Summary
`void` | `append(java.lang.String t)` Concatenate a string.
`void` | `clean()` Clear selection.
`void` | `dispose()` Dispose.
`void` | `loop()` loop to wait.
`void` | `open()` open and wait.
`void` | `setLocation(int x, int y)` Set location x y.
`void` | `setText(java.lang.String t)` Clear and set text.
`void` | `setTitle(java.lang.String t)` To change title.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayText

    public DisplayText(org.eclipse.swt.widgets.Display dp,
                       java.lang.String title)

  Constructor.

Method Detail

### setTitle

    public void setTitle(java.lang.String t)

  To change title.

  Parameters:
    `t` -

### setText

    public void setText(java.lang.String t)

  Clear and set text.

  Parameters:
    `t` -

### append

    public void append(java.lang.String t)

  Concatenate a string.

  Parameters:
    `t` -

### clean

    public void clean()

  Clear selection.

### open

    public void open()

  open and wait.

### loop

    public void loop()

  loop to wait.

### dispose

    public void dispose()

  Dispose.

### setLocation

    public void setLocation(int x,
                            int y)

  Set location x y.

  Parameters:
    `x` -
    `y` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD